commit:     938a340079ee1b725936dad3e441faf8cc3420cd
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  3 17:41:39 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Oct  3 17:41:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=938a3400

sci-biology/pysam: add 0.17.0

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/pysam/Manifest            |  1 +
 sci-biology/pysam/pysam-0.17.0.ebuild | 66 +++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/sci-biology/pysam/Manifest b/sci-biology/pysam/Manifest
index f349d8ddc8a..1e305c998da 100644
--- a/sci-biology/pysam/Manifest
+++ b/sci-biology/pysam/Manifest
@@ -1 +1,2 @@
 DIST pysam-0.16.0.1.tar.gz 3294073 BLAKE2B 
8df1c9b061b0d4b3962ff4b0e30f1589e02d7df41ce362bff861596d3599bf800bb16b2fa4de326fc07102dc7801b48c6b821e5d47e694a3536bec2c5b1cfece
 SHA512 
5cebb9f3bc8dc6186a629e91423a3c8cb802af6529b943fcd880e056661ec6ee2a00de789cf144c9e40b9d1ef2459c0e06ce27a1b9eab8e2875d2087f275af28
+DIST pysam-0.17.0.tar.gz 3579324 BLAKE2B 
6b88fe771350f20fa7c90a4c02c60fefd6a34d979c687fce1e34a17e1ff203c7d2d07e36b64f7a73f99676b805334df7f049932ce15e26362a5214da03435d64
 SHA512 
16740f08fb68a1f24656454b834dd9ac52ad9f864f307564566fc244bbd2efb7cb17107b2e85ca5c56af817918a138d1c071533de1b80e5bba42b01bbad7f552

diff --git a/sci-biology/pysam/pysam-0.17.0.ebuild 
b/sci-biology/pysam/pysam-0.17.0.ebuild
new file mode 100644
index 00000000000..afdc4777e20
--- /dev/null
+++ b/sci-biology/pysam/pysam-0.17.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface for the SAM/BAM sequence alignment and mapping 
format"
+HOMEPAGE="
+       https://github.com/pysam-developers/pysam
+       https://pypi.org/project/pysam/";
+SRC_URI="https://github.com/pysam-developers/pysam/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="=sci-libs/htslib-1.13*:="
+DEPEND="${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               =sci-biology/bcftools-1.13*
+               =sci-biology/samtools-1.13*
+       )"
+
+distutils_enable_tests pytest
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+EPYTEST_DESELECT=(
+       # only work with bundled htslib
+       'tests/tabix_test.py::TestRemoteFileHTTP'
+       'tests/tabix_test.py::TestRemoteFileHTTPWithHeader'
+)
+
+python_prepare_all() {
+       # unbundle htslib
+       export HTSLIB_MODE="external"
+       export HTSLIB_INCLUDE_DIR="${EPREFIX}"/usr/include
+       export HTSLIB_LIBRARY_DIR="${EPREFIX}"/usr/$(get_libdir)
+       rm -r htslib || die
+
+       # prevent setup.py from adding RPATHs (except $ORIGIN)
+       sed -e '/runtime_library_dirs=htslib_library_dirs/d' \
+               -i setup.py || die
+
+       if use test; then
+               einfo "Building test data"
+               emake -C tests/pysam_data
+               emake -C tests/cbcf_data
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       # breaks with parallel build
+       # need to avoid dropping .so plugins into
+       # build-lib, which breaks tests
+       esetup.py build_ext --inplace -j1
+       distutils-r1_python_compile -j1
+}

Reply via email to